# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "shex_validation"
version = "0.3.2"
authors = [
    "Jose Emilio Labra Gayo <labra@uniovi.es>",
    "Ángel Iglesias Préstamo <angel.iglesias.prestamo@gmail.com>",
    "Marc-Antoine Arnaud <marc-antoine.arnaud@luminvent.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "RDF data shapes implementation in Rust"
homepage = "https://rudof-project.github.io/rudof"
documentation = "https://docs.rs/shex_validation"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/rudof-project/rudof"
resolver = "2"

[lib]
name = "shex_validation"
path = "src/lib.rs"

[[test]]
name = "external_resolver_integration"
path = "tests/external_resolver_integration.rs"

[dependencies.either]
version = "1.13"
features = ["serde"]

[dependencies.indexmap]
version = "2"
features = ["serde"]

[dependencies.itertools]
version = "0.14"

[dependencies.prefixmap]
version = "0.3.2"

[dependencies.rbe]
version = "0.3.2"

[dependencies.rudof_iri]
version = "0.3.2"

[dependencies.rudof_rdf]
version = "0.3.2"
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.shex_ast]
version = "0.3.2"

[dependencies.termtree]
version = "0.4"

[dependencies.thiserror]
version = "2.0"

[dependencies.toml]
version = "0.9"

[dependencies.tracing]
version = "0.1"

[dependencies.url]
version = "2.2.2"

[dev-dependencies.rudof_rdf]
version = "0.3.2"
features = ["sparql"]
default-features = false

[dev-dependencies.tracing-test]
version = "0.2.5"
